Index: tests/GuiChecks/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at
===================================================================
--- tests/GuiChecks/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,91 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### Subgraph dissection with specific boundary conditions
+
+AT_SETUP([Graph - subgraph dissection with Wrap BC])
+AT_KEYWORDS([graph subgraph-dissection set-boundary-conditions])
+
+file=water.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Wrap Wrap Wrap -v 3 -I --no-dry-run --store-session session-graph-subgraph-dissection_boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-subgraph-dissection_boundary-conditions.py >session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [stdout], [stderr])
+file=water-bounced.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Wrap Wrap Wrap -v 3 -I --no-dry-run --store-session session-graph-subgraph-dissection_boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-subgraph-dissection_boundary-conditions.py >session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [stdout], [stderr])
+file=water-wrapped.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Wrap Wrap Wrap -v 3 -I --no-dry-run --store-session session-graph-subgraph-dissection_boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-subgraph-dissection_boundary-conditions.py >session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+AT_SETUP([Graph - subgraph dissection with Bounce BC])
+AT_KEYWORDS([graph subgraph-dissection set-boundary-conditions])
+
+file=water.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Bounce Bounce Bounce -v 3 -I --no-dry-run --store-session session-graph-subgraph-dissection_boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-subgraph-dissection_boundary-conditions.py >session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [stdout], [stderr])
+file=water-bounced.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Bounce Bounce Bounce -v 3 -I --no-dry-run --store-session session-graph-subgraph-dissection_boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-subgraph-dissection_boundary-conditions.py >session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [stdout], [stderr])
+file=water-wrapped.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Bounce Bounce Bounce -v 3 -I --no-dry-run --store-session session-graph-subgraph-dissection_boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-subgraph-dissection_boundary-conditions.py >session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+AT_SETUP([Graph - subgraph dissection with Ignore BC])
+AT_KEYWORDS([graph subgraph-dissection set-boundary-conditions])
+
+file=water.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Ignore Ignore Ignore -v 3 -I --no-dry-run --store-session session-graph-subgraph-dissection_boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-subgraph-dissection_boundary-conditions.py >session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [stdout], [stderr])
+file=water-bounced.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Ignore Ignore Ignore -v 3 -I --no-dry-run --store-session session-graph-subgraph-dissection_boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-subgraph-dissection_boundary-conditions.py >session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [stdout], [stderr])
+file=water-wrapped.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -B "5,0,5,0,0,5" --set-boundary-conditions Ignore Ignore Ignore -v 3 -I --no-dry-run --store-session session-graph-subgraph-dissection_boundary-conditions.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-subgraph-dissection_boundary-conditions.py >session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-subgraph-dissection_boundary-conditions_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
